#!/bin/bash

port=$1
[ -z "$port" ] && port="8888"

SUDO_CMD=$2

if [ -z "$2" ]; then
	if lsb_release -ds | grep -i "ubuntu" >/dev/null 2>&1; then
		SUDO_CMD="sudo su -c"
	else
		SUDO_CMD="su -c"
	fi
fi

echo "    The port $port will be used by the LTDK Manager web-UI server."
if (( $UID != 0 )); then
	echo "    The command '$SUDO_CMD' will be used to gain root access."
	echo "    If you want to change this, run $0 <port> <sudo command>"
else
	echo "    If you want to change this, run $0 <port>"
fi
echo

ps -A | grep '\bserver.pl\b' >/dev/null 2>&1
if (( $? ))
then
    cd `dirname $0`
    if (( $UID != 0 )); then
        echo "    Please type the appropriate password if prompted."
        echo -n "    "
    	$SUDO_CMD "./server_start.sh $port"
		echo 
	else
    	./server_start.sh $port
    fi
    
    if (( $? )) ; then 
        echo "    Couldn't start server."
        exit $?
    fi
else
    echo "    Server is already running."
fi

sleep 1

# Try to open start page in a browser
echo ""
echo "    The start page should be opened in a browser shortly."
echo "    If it doesn't open, you can load it at http://`uname -n`:$port"
browser_found=0

for br_name in "opera" "/usr/bin/mozilla-firefox" "firefox" "konqueror" "epiphany" "galeon" "mozilla"
do
	if which $br_name >/dev/null 2>&1 
	then
		`which $br_name` "http://localhost:$port" >/dev/null 2>&1 &
		browser_found=1
		break
	fi
done

if  (( !$browser_found ))
then
	echo
	echo "    Could not find a web-browser."
	echo "    Go to 'http://localhost:$port' to configure and launch tests."
fi
